OpenCores
URL https://opencores.org/ocsvn/or1k/or1k/trunk

Subversion Repositories or1k

[/] [or1k/] [branches/] [stable_0_1_x/] [or1ksim/] [configure] - Diff between revs 1356 and 1378

Go to most recent revision | Show entire file | Details | Blame | View Log

Rev 1356 Rev 1378
Line 1315... Line 1315...
#define VERSION "$VERSION"
#define VERSION "$VERSION"
EOF
EOF
 
 
# Some tools Automake needs.
# Some tools Automake needs.
 
 
ACLOCAL=${ACLOCAL-"${am_missing_run}"aclocal-${am__api_version}""}
ACLOCAL=${ACLOCAL-"${am_missing_run}aclocal-${am__api_version}"}
 
 
AUTOCONF=${AUTOCONF-"${am_missing_run}autoconf"}
AUTOCONF=${AUTOCONF-"${am_missing_run}autoconf"}
 
 
AUTOMAKE=${AUTOMAKE-"${am_missing_run}"automake-${am__api_version}""}
AUTOMAKE=${AUTOMAKE-"${am_missing_run}automake-${am__api_version}"}
 
 
AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
 
 
MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
 
 
Line 1428... Line 1428...
dlx*)   CPU_ARCH=dlx;
dlx*)   CPU_ARCH=dlx;
        ARCH_ISA=DLX;;
        ARCH_ISA=DLX;;
esac
esac
 
 
# We want these before the checks, so the checks can modify their values.
# We want these before the checks, so the checks can modify their values.
test -z "$CFLAGS" && CFLAGS=-g auto_cflags=1
test -z "$CFLAGS" && CFLAGS="-g -Wall" auto_cflags=1
 
 
ac_ext=c
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
Line 3118... Line 3118...
EOF
EOF
 
 
fi
fi
done
done
 
 
for ac_func in strndup grantpt unlockpt ptsname on_exit
for ac_func in strndup grantpt unlockpt ptsname on_exit isblank
do
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:3126: checking for $ac_func" >&5
echo "$as_me:3126: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
if eval "test \"\${$as_ac_var+set}\" = set"; then
Line 3428... Line 3428...
fi
fi
 
 
for ac_header in unistd.h stdlib.h varargs.h stdarg.h string.h \
for ac_header in unistd.h stdlib.h varargs.h stdarg.h string.h \
                sys/ptem.h sys/pte.h sys/stream.h sys/stropts.h sys/select.h \
                sys/ptem.h sys/pte.h sys/stream.h sys/stropts.h sys/select.h \
                termcap.h termios.h termio.h sys/file.h locale.h\
                termcap.h termios.h termio.h sys/file.h locale.h\
                net/ethernet.h malloc.h
                net/ethernet.h sys/ethernet.h malloc.h inttypes.h
do
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
echo "$as_me:3436: checking for $ac_header" >&5
echo "$as_me:3436: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
if eval "test \"\${$as_ac_Header+set}\" = set"; then
Line 3642... Line 3642...
  echo "$as_me: failed program was:" >&5
  echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
cat conftest.$ac_ext >&5
fi
fi
rm -f conftest.$ac_objext conftest.$ac_ext
rm -f conftest.$ac_objext conftest.$ac_ext
 
 
 
echo "$as_me:3647: checking for uint8_t" >&5
 
echo $ECHO_N "checking for uint8_t... $ECHO_C" >&6
 
if test "${ac_cv_type_uint8_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3653 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((uint8_t *) 0)
 
  return 0;
 
if (sizeof (uint8_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3669: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3672: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3675: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3678: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_uint8_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_uint8_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3688: result: $ac_cv_type_uint8_t" >&5
 
echo "${ECHO_T}$ac_cv_type_uint8_t" >&6
 
if test $ac_cv_type_uint8_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_UINT8_T 1
 
EOF
 
 
 
fi
 
echo "$as_me:3697: checking for uint16_t" >&5
 
echo $ECHO_N "checking for uint16_t... $ECHO_C" >&6
 
if test "${ac_cv_type_uint16_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3703 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((uint16_t *) 0)
 
  return 0;
 
if (sizeof (uint16_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3719: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3722: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3725: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3728: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_uint16_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_uint16_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3738: result: $ac_cv_type_uint16_t" >&5
 
echo "${ECHO_T}$ac_cv_type_uint16_t" >&6
 
if test $ac_cv_type_uint16_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_UINT16_T 1
 
EOF
 
 
 
fi
 
echo "$as_me:3747: checking for uint32_t" >&5
 
echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6
 
if test "${ac_cv_type_uint32_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3753 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((uint32_t *) 0)
 
  return 0;
 
if (sizeof (uint32_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3769: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3772: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3775: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3778: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_uint32_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_uint32_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3788: result: $ac_cv_type_uint32_t" >&5
 
echo "${ECHO_T}$ac_cv_type_uint32_t" >&6
 
if test $ac_cv_type_uint32_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_UINT32_T 1
 
EOF
 
 
 
fi
 
 
 
echo "$as_me:3798: checking for int8_t" >&5
 
echo $ECHO_N "checking for int8_t... $ECHO_C" >&6
 
if test "${ac_cv_type_int8_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3804 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((int8_t *) 0)
 
  return 0;
 
if (sizeof (int8_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3820: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3823: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3826: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3829: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_int8_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_int8_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3839: result: $ac_cv_type_int8_t" >&5
 
echo "${ECHO_T}$ac_cv_type_int8_t" >&6
 
if test $ac_cv_type_int8_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_INT8_T 1
 
EOF
 
 
 
fi
 
echo "$as_me:3848: checking for int16_t" >&5
 
echo $ECHO_N "checking for int16_t... $ECHO_C" >&6
 
if test "${ac_cv_type_int16_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3854 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((int16_t *) 0)
 
  return 0;
 
if (sizeof (int16_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3870: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3873: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3876: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3879: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_int16_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_int16_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3889: result: $ac_cv_type_int16_t" >&5
 
echo "${ECHO_T}$ac_cv_type_int16_t" >&6
 
if test $ac_cv_type_int16_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_INT16_T 1
 
EOF
 
 
 
fi
 
echo "$as_me:3898: checking for int32_t" >&5
 
echo $ECHO_N "checking for int32_t... $ECHO_C" >&6
 
if test "${ac_cv_type_int32_t+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3904 "configure"
 
#include "confdefs.h"
 
#include 
 
 
 
int
 
main ()
 
{
 
if ((int32_t *) 0)
 
  return 0;
 
if (sizeof (int32_t))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3920: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3923: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3926: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3929: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_int32_t=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_int32_t=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3939: result: $ac_cv_type_int32_t" >&5
 
echo "${ECHO_T}$ac_cv_type_int32_t" >&6
 
if test $ac_cv_type_int32_t = yes; then
 
 
 
cat >>confdefs.h <
 
#define HAVE_INT32_T 1
 
EOF
 
 
 
fi
 
 
 
echo "$as_me:3949: checking for char" >&5
 
echo $ECHO_N "checking for char... $ECHO_C" >&6
 
if test "${ac_cv_type_char+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 3955 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
if ((char *) 0)
 
  return 0;
 
if (sizeof (char))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:3970: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3973: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:3976: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:3979: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_char=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_char=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:3989: result: $ac_cv_type_char" >&5
 
echo "${ECHO_T}$ac_cv_type_char" >&6
 
 
 
echo "$as_me:3992: checking size of char" >&5
 
echo $ECHO_N "checking size of char... $ECHO_C" >&6
 
if test "${ac_cv_sizeof_char+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  if test "$ac_cv_type_char" = yes; then
 
  if test "$cross_compiling" = yes; then
 
  # Depending upon the size, compute the lo and hi bounds.
 
cat >conftest.$ac_ext <<_ACEOF
 
#line 4001 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (char)) >= 0)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4013: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4016: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4019: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4022: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=0 ac_mid=0
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4027 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (char)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4039: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4042: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4045: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4048: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`; ac_mid=`expr 2 '*' $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=-1 ac_mid=-1
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4064 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (char)) >= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4076: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4079: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4082: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4085: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=`expr $ac_mid - 1`; ac_mid=`expr 2 '*' $ac_mid`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
# Binary search between lo and hi bounds.
 
while test "x$ac_lo" != "x$ac_hi"; do
 
  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4101 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (char)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4113: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4116: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4119: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4122: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
done
 
ac_cv_sizeof_char=$ac_lo
 
else
 
  if test "$cross_compiling" = yes; then
 
  { { echo "$as_me:4135: error: cannot run test program while cross compiling" >&5
 
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
 
   { (exit 1); exit 1; }; }
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4140 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
FILE *f = fopen ("conftest.val", "w");
 
if (!f)
 
  exit (1);
 
fprintf (f, "%d", (sizeof (char)));
 
fclose (f);
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest$ac_exeext
 
if { (eval echo "$as_me:4156: \"$ac_link\"") >&5
 
  (eval $ac_link) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4159: \$? = $ac_status" >&5
 
  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
 
  { (eval echo "$as_me:4161: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4164: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_sizeof_char=`cat conftest.val`
 
else
 
  echo "$as_me: program exited with status $ac_status" >&5
 
echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
fi
 
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 
fi
 
fi
 
rm -f conftest.val
 
else
 
  ac_cv_sizeof_char=0
 
fi
 
fi
 
echo "$as_me:4180: result: $ac_cv_sizeof_char" >&5
 
echo "${ECHO_T}$ac_cv_sizeof_char" >&6
 
cat >>confdefs.h <
 
#define SIZEOF_CHAR $ac_cv_sizeof_char
 
EOF
 
 
 
echo "$as_me:4186: checking for short" >&5
 
echo $ECHO_N "checking for short... $ECHO_C" >&6
 
if test "${ac_cv_type_short+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4192 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
if ((short *) 0)
 
  return 0;
 
if (sizeof (short))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4207: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4210: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4213: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4216: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_short=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_short=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:4226: result: $ac_cv_type_short" >&5
 
echo "${ECHO_T}$ac_cv_type_short" >&6
 
 
 
echo "$as_me:4229: checking size of short" >&5
 
echo $ECHO_N "checking size of short... $ECHO_C" >&6
 
if test "${ac_cv_sizeof_short+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  if test "$ac_cv_type_short" = yes; then
 
  if test "$cross_compiling" = yes; then
 
  # Depending upon the size, compute the lo and hi bounds.
 
cat >conftest.$ac_ext <<_ACEOF
 
#line 4238 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (short)) >= 0)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4250: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4253: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4256: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4259: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=0 ac_mid=0
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4264 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (short)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4276: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4279: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4282: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4285: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`; ac_mid=`expr 2 '*' $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=-1 ac_mid=-1
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4301 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (short)) >= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4313: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4316: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4319: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4322: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=`expr $ac_mid - 1`; ac_mid=`expr 2 '*' $ac_mid`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
# Binary search between lo and hi bounds.
 
while test "x$ac_lo" != "x$ac_hi"; do
 
  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4338 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (short)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4350: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4353: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4356: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4359: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
done
 
ac_cv_sizeof_short=$ac_lo
 
else
 
  if test "$cross_compiling" = yes; then
 
  { { echo "$as_me:4372: error: cannot run test program while cross compiling" >&5
 
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
 
   { (exit 1); exit 1; }; }
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4377 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
FILE *f = fopen ("conftest.val", "w");
 
if (!f)
 
  exit (1);
 
fprintf (f, "%d", (sizeof (short)));
 
fclose (f);
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest$ac_exeext
 
if { (eval echo "$as_me:4393: \"$ac_link\"") >&5
 
  (eval $ac_link) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4396: \$? = $ac_status" >&5
 
  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
 
  { (eval echo "$as_me:4398: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4401: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_sizeof_short=`cat conftest.val`
 
else
 
  echo "$as_me: program exited with status $ac_status" >&5
 
echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
fi
 
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 
fi
 
fi
 
rm -f conftest.val
 
else
 
  ac_cv_sizeof_short=0
 
fi
 
fi
 
echo "$as_me:4417: result: $ac_cv_sizeof_short" >&5
 
echo "${ECHO_T}$ac_cv_sizeof_short" >&6
 
cat >>confdefs.h <
 
#define SIZEOF_SHORT $ac_cv_sizeof_short
 
EOF
 
 
 
echo "$as_me:4423: checking for int" >&5
 
echo $ECHO_N "checking for int... $ECHO_C" >&6
 
if test "${ac_cv_type_int+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4429 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
if ((int *) 0)
 
  return 0;
 
if (sizeof (int))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4444: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4447: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4450: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4453: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_int=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_int=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:4463: result: $ac_cv_type_int" >&5
 
echo "${ECHO_T}$ac_cv_type_int" >&6
 
 
 
echo "$as_me:4466: checking size of int" >&5
 
echo $ECHO_N "checking size of int... $ECHO_C" >&6
 
if test "${ac_cv_sizeof_int+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  if test "$ac_cv_type_int" = yes; then
 
  if test "$cross_compiling" = yes; then
 
  # Depending upon the size, compute the lo and hi bounds.
 
cat >conftest.$ac_ext <<_ACEOF
 
#line 4475 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (int)) >= 0)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4487: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4490: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4493: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4496: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=0 ac_mid=0
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4501 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (int)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4513: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4516: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4519: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4522: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`; ac_mid=`expr 2 '*' $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=-1 ac_mid=-1
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4538 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (int)) >= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4550: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4553: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4556: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4559: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=`expr $ac_mid - 1`; ac_mid=`expr 2 '*' $ac_mid`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
# Binary search between lo and hi bounds.
 
while test "x$ac_lo" != "x$ac_hi"; do
 
  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4575 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (int)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4587: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4590: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4593: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4596: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
done
 
ac_cv_sizeof_int=$ac_lo
 
else
 
  if test "$cross_compiling" = yes; then
 
  { { echo "$as_me:4609: error: cannot run test program while cross compiling" >&5
 
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
 
   { (exit 1); exit 1; }; }
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4614 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
FILE *f = fopen ("conftest.val", "w");
 
if (!f)
 
  exit (1);
 
fprintf (f, "%d", (sizeof (int)));
 
fclose (f);
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest$ac_exeext
 
if { (eval echo "$as_me:4630: \"$ac_link\"") >&5
 
  (eval $ac_link) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4633: \$? = $ac_status" >&5
 
  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
 
  { (eval echo "$as_me:4635: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4638: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_sizeof_int=`cat conftest.val`
 
else
 
  echo "$as_me: program exited with status $ac_status" >&5
 
echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
fi
 
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 
fi
 
fi
 
rm -f conftest.val
 
else
 
  ac_cv_sizeof_int=0
 
fi
 
fi
 
echo "$as_me:4654: result: $ac_cv_sizeof_int" >&5
 
echo "${ECHO_T}$ac_cv_sizeof_int" >&6
 
cat >>confdefs.h <
 
#define SIZEOF_INT $ac_cv_sizeof_int
 
EOF
 
 
 
echo "$as_me:4660: checking for long" >&5
 
echo $ECHO_N "checking for long... $ECHO_C" >&6
 
if test "${ac_cv_type_long+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4666 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
if ((long *) 0)
 
  return 0;
 
if (sizeof (long))
 
  return 0;
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4681: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4684: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4687: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4690: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_type_long=yes
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_cv_type_long=no
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
fi
 
echo "$as_me:4700: result: $ac_cv_type_long" >&5
 
echo "${ECHO_T}$ac_cv_type_long" >&6
 
 
 
echo "$as_me:4703: checking size of long" >&5
 
echo $ECHO_N "checking size of long... $ECHO_C" >&6
 
if test "${ac_cv_sizeof_long+set}" = set; then
 
  echo $ECHO_N "(cached) $ECHO_C" >&6
 
else
 
  if test "$ac_cv_type_long" = yes; then
 
  if test "$cross_compiling" = yes; then
 
  # Depending upon the size, compute the lo and hi bounds.
 
cat >conftest.$ac_ext <<_ACEOF
 
#line 4712 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (long)) >= 0)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4724: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4727: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4730: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4733: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=0 ac_mid=0
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4738 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (long)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4750: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4753: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4756: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4759: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`; ac_mid=`expr 2 '*' $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=-1 ac_mid=-1
 
  while :; do
 
    cat >conftest.$ac_ext <<_ACEOF
 
#line 4775 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (long)) >= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4787: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4790: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4793: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4796: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_lo=$ac_mid; break
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_hi=`expr $ac_mid - 1`; ac_mid=`expr 2 '*' $ac_mid`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
  done
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
# Binary search between lo and hi bounds.
 
while test "x$ac_lo" != "x$ac_hi"; do
 
  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4812 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
int _array_ [1 - 2 * !((sizeof (long)) <= $ac_mid)]
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest.$ac_objext
 
if { (eval echo "$as_me:4824: \"$ac_compile\"") >&5
 
  (eval $ac_compile) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4827: \$? = $ac_status" >&5
 
  (exit $ac_status); } &&
 
         { ac_try='test -s conftest.$ac_objext'
 
  { (eval echo "$as_me:4830: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4833: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_hi=$ac_mid
 
else
 
  echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
ac_lo=`expr $ac_mid + 1`
 
fi
 
rm -f conftest.$ac_objext conftest.$ac_ext
 
done
 
ac_cv_sizeof_long=$ac_lo
 
else
 
  if test "$cross_compiling" = yes; then
 
  { { echo "$as_me:4846: error: cannot run test program while cross compiling" >&5
 
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
 
   { (exit 1); exit 1; }; }
 
else
 
  cat >conftest.$ac_ext <<_ACEOF
 
#line 4851 "configure"
 
#include "confdefs.h"
 
$ac_includes_default
 
int
 
main ()
 
{
 
FILE *f = fopen ("conftest.val", "w");
 
if (!f)
 
  exit (1);
 
fprintf (f, "%d", (sizeof (long)));
 
fclose (f);
 
  ;
 
  return 0;
 
}
 
_ACEOF
 
rm -f conftest$ac_exeext
 
if { (eval echo "$as_me:4867: \"$ac_link\"") >&5
 
  (eval $ac_link) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4870: \$? = $ac_status" >&5
 
  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
 
  { (eval echo "$as_me:4872: \"$ac_try\"") >&5
 
  (eval $ac_try) 2>&5
 
  ac_status=$?
 
  echo "$as_me:4875: \$? = $ac_status" >&5
 
  (exit $ac_status); }; }; then
 
  ac_cv_sizeof_long=`cat conftest.val`
 
else
 
  echo "$as_me: program exited with status $ac_status" >&5
 
echo "$as_me: failed program was:" >&5
 
cat conftest.$ac_ext >&5
 
fi
 
rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 
fi
 
fi
 
rm -f conftest.val
 
else
 
  ac_cv_sizeof_long=0
 
fi
 
fi
 
echo "$as_me:4891: result: $ac_cv_sizeof_long" >&5
 
echo "${ECHO_T}$ac_cv_sizeof_long" >&6
 
cat >>confdefs.h <
 
#define SIZEOF_LONG $ac_cv_sizeof_long
 
EOF
 
 
# Check whether --enable-readline or --disable-readline was given.
# Check whether --enable-readline or --disable-readline was given.
if test "${enable_readline+set}" = set; then
if test "${enable_readline+set}" = set; then
  enableval="$enable_readline"
  enableval="$enable_readline"
 
 
echo "$as_me:3651: checking for add_history in -lreadline" >&5
echo "$as_me:4901: checking for add_history in -lreadline" >&5
echo $ECHO_N "checking for add_history in -lreadline... $ECHO_C" >&6
echo $ECHO_N "checking for add_history in -lreadline... $ECHO_C" >&6
if test "${ac_cv_lib_readline_add_history+set}" = set; then
if test "${ac_cv_lib_readline_add_history+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
else
  ac_check_lib_save_LIBS=$LIBS
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lreadline  $LIBS"
LIBS="-lreadline  $LIBS"
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
#line 3659 "configure"
#line 4909 "configure"
#include "confdefs.h"
#include "confdefs.h"
 
 
/* Override any gcc2 internal prototype to avoid an error.  */
/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
#ifdef __cplusplus
extern "C"
extern "C"
Line 3673... Line 4923...
  ;
  ;
  return 0;
  return 0;
}
}
_ACEOF
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:3678: \"$ac_link\"") >&5
if { (eval echo "$as_me:4928: \"$ac_link\"") >&5
  (eval $ac_link) 2>&5
  (eval $ac_link) 2>&5
  ac_status=$?
  ac_status=$?
  echo "$as_me:3681: \$? = $ac_status" >&5
  echo "$as_me:4931: \$? = $ac_status" >&5
  (exit $ac_status); } &&
  (exit $ac_status); } &&
         { ac_try='test -s conftest$ac_exeext'
         { ac_try='test -s conftest$ac_exeext'
  { (eval echo "$as_me:3684: \"$ac_try\"") >&5
  { (eval echo "$as_me:4934: \"$ac_try\"") >&5
  (eval $ac_try) 2>&5
  (eval $ac_try) 2>&5
  ac_status=$?
  ac_status=$?
  echo "$as_me:3687: \$? = $ac_status" >&5
  echo "$as_me:4937: \$? = $ac_status" >&5
  (exit $ac_status); }; }; then
  (exit $ac_status); }; }; then
  ac_cv_lib_readline_add_history=yes
  ac_cv_lib_readline_add_history=yes
else
else
  echo "$as_me: failed program was:" >&5
  echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
cat conftest.$ac_ext >&5
ac_cv_lib_readline_add_history=no
ac_cv_lib_readline_add_history=no
fi
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
LIBS=$ac_check_lib_save_LIBS
fi
fi
echo "$as_me:3698: result: $ac_cv_lib_readline_add_history" >&5
echo "$as_me:4948: result: $ac_cv_lib_readline_add_history" >&5
echo "${ECHO_T}$ac_cv_lib_readline_add_history" >&6
echo "${ECHO_T}$ac_cv_lib_readline_add_history" >&6
if test $ac_cv_lib_readline_add_history = yes; then
if test $ac_cv_lib_readline_add_history = yes; then
  cat >>confdefs.h <
  cat >>confdefs.h <
#define HAVE_LIBREADLINE 1
#define HAVE_LIBREADLINE 1
EOF
EOF
Line 3722... Line 4972...
 
 
case "$host_os" in
case "$host_os" in
solaris*) LIBS="-lsocket -lnsl" ;;
solaris*) LIBS="-lsocket -lnsl" ;;
esac
esac
 
 
echo "$as_me:3727: checking whether to enable profiling" >&5
echo "$as_me:4977: checking whether to enable profiling" >&5
echo $ECHO_N "checking whether to enable profiling... $ECHO_C" >&6
echo $ECHO_N "checking whether to enable profiling... $ECHO_C" >&6
# Check whether --enable-profiling or --disable-profiling was given.
# Check whether --enable-profiling or --disable-profiling was given.
if test "${enable_profiling+set}" = set; then
if test "${enable_profiling+set}" = set; then
  enableval="$enable_profiling"
  enableval="$enable_profiling"
 
 
    case "$enableval" in
    case "$enableval" in
        yes) profile="-pg -a" ;;
        yes) profile="-pg -a" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3738: result: ${enable_profiling-no}" >&5
echo "$as_me:4988: result: ${enable_profiling-no}" >&5
echo "${ECHO_T}${enable_profiling-no}" >&6
echo "${ECHO_T}${enable_profiling-no}" >&6
 
 
fast_sim="0"
fast_sim="0"
echo "$as_me:3742: checking whether to compile fsim" >&5
echo "$as_me:4992: checking whether to compile fsim" >&5
echo $ECHO_N "checking whether to compile fsim... $ECHO_C" >&6
echo $ECHO_N "checking whether to compile fsim... $ECHO_C" >&6
# Check whether --enable-fsim or --disable-fsim was given.
# Check whether --enable-fsim or --disable-fsim was given.
if test "${enable_fsim+set}" = set; then
if test "${enable_fsim+set}" = set; then
  enableval="$enable_fsim"
  enableval="$enable_fsim"
 
 
Line 3749... Line 4999...
  no)  fast_sim="0" ;;
  no)  fast_sim="0" ;;
        yes) fast_sim="1" ;;
        yes) fast_sim="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3754: result: ${enable_fsim-no}" >&5
echo "$as_me:5004: result: ${enable_fsim-no}" >&5
echo "${ECHO_T}${enable_fsim-no}" >&6
echo "${ECHO_T}${enable_fsim-no}" >&6
 
 
simple_execution="0"
simple_execution="0"
echo "$as_me:3758: checking whether to use simple execution" >&5
INCLUDES="-I\${top_builddir}/cpu/$CPU_ARCH"
 
echo "$as_me:5009: checking whether to use simple execution" >&5
echo $ECHO_N "checking whether to use simple execution... $ECHO_C" >&6
echo $ECHO_N "checking whether to use simple execution... $ECHO_C" >&6
# Check whether --enable-simple or --disable-simple was given.
# Check whether --enable-simple or --disable-simple was given.
if test "${enable_simple+set}" = set; then
if test "${enable_simple+set}" = set; then
  enableval="$enable_simple"
  enableval="$enable_simple"
 
 
    case "$enableval" in
    case "$enableval" in
  no)  simple_execution="0" ;;
    no) INCLUDES="-I\${top_builddir}/cpu/$CPU_ARCH" simple_execution="0" ;;
        yes) simple_execution="1" ;;
    yes) INCLUDES="-I\${top_srcdir}/cpu/$CPU_ARCH" simple_execution="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3770: result: ${enable_simple-no}" >&5
echo "$as_me:5021: result: ${enable_simple-no}" >&5
echo "${ECHO_T}${enable_simple-no}" >&6
echo "${ECHO_T}${enable_simple-no}" >&6
 
 
eth_phy="0"
eth_phy="0"
echo "$as_me:3774: checking whether to enable ethernet phy emulation" >&5
echo "$as_me:5025: checking whether to enable ethernet phy emulation" >&5
echo $ECHO_N "checking whether to enable ethernet phy emulation... $ECHO_C" >&6
echo $ECHO_N "checking whether to enable ethernet phy emulation... $ECHO_C" >&6
# Check whether --enable-ethphy or --disable-ethphy was given.
# Check whether --enable-ethphy or --disable-ethphy was given.
if test "${enable_ethphy+set}" = set; then
if test "${enable_ethphy+set}" = set; then
  enableval="$enable_ethphy"
  enableval="$enable_ethphy"
 
 
Line 3781... Line 5032...
  no)  eth_phy="0" ;;
  no)  eth_phy="0" ;;
        yes) eth_phy="1" ;;
        yes) eth_phy="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3786: result: ${enable_eth_phy-no}" >&5
echo "$as_me:5037: result: ${enable_eth_phy-no}" >&5
echo "${ECHO_T}${enable_eth_phy-no}" >&6
echo "${ECHO_T}${enable_eth_phy-no}" >&6
 
 
raw_range_stats="0"
raw_range_stats="0"
echo "$as_me:3790: checking whether to use raw range stats" >&5
echo "$as_me:5041: checking whether to use raw range stats" >&5
echo $ECHO_N "checking whether to use raw range stats... $ECHO_C" >&6
echo $ECHO_N "checking whether to use raw range stats... $ECHO_C" >&6
# Check whether --enable-range_stats or --disable-range_stats was given.
# Check whether --enable-range_stats or --disable-range_stats was given.
if test "${enable_range_stats+set}" = set; then
if test "${enable_range_stats+set}" = set; then
  enableval="$enable_range_stats"
  enableval="$enable_range_stats"
 
 
Line 3797... Line 5048...
  no)  raw_range_stats="0" ;;
  no)  raw_range_stats="0" ;;
        yes) raw_range_stats="1" simple_execution="1" ;;
        yes) raw_range_stats="1" simple_execution="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3802: result: ${enable_range_stats-no}" >&5
echo "$as_me:5053: result: ${enable_range_stats-no}" >&5
echo "${ECHO_T}${enable_range_stats-no}" >&6
echo "${ECHO_T}${enable_range_stats-no}" >&6
 
 
set_ov_flag="0"
set_ov_flag="0"
echo "$as_me:3806: checking whether instructions set overflow flag" >&5
echo "$as_me:5057: checking whether instructions set overflow flag" >&5
echo $ECHO_N "checking whether instructions set overflow flag... $ECHO_C" >&6
echo $ECHO_N "checking whether instructions set overflow flag... $ECHO_C" >&6
# Check whether --enable-ov_flag or --disable-ov_flag was given.
# Check whether --enable-ov_flag or --disable-ov_flag was given.
if test "${enable_ov_flag+set}" = set; then
if test "${enable_ov_flag+set}" = set; then
  enableval="$enable_ov_flag"
  enableval="$enable_ov_flag"
 
 
Line 3813... Line 5064...
  no)  set_ov_flag="0" ;;
  no)  set_ov_flag="0" ;;
        yes) set_ov_flag="1" ;;
        yes) set_ov_flag="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3818: result: ${enable_ov_flag-no}" >&5
echo "$as_me:5069: result: ${enable_ov_flag-no}" >&5
echo "${ECHO_T}${enable_ov_flag-no}" >&6
echo "${ECHO_T}${enable_ov_flag-no}" >&6
 
 
set_arith_flag="0"
set_arith_flag="0"
echo "$as_me:3822: checking whether arithmethic instructions set flag" >&5
echo "$as_me:5073: checking whether arithmethic instructions set flag" >&5
echo $ECHO_N "checking whether arithmethic instructions set flag... $ECHO_C" >&6
echo $ECHO_N "checking whether arithmethic instructions set flag... $ECHO_C" >&6
# Check whether --enable-arith_flag or --disable-arith_flag was given.
# Check whether --enable-arith_flag or --disable-arith_flag was given.
if test "${enable_arith_flag+set}" = set; then
if test "${enable_arith_flag+set}" = set; then
  enableval="$enable_arith_flag"
  enableval="$enable_arith_flag"
 
 
Line 3829... Line 5080...
  no)  set_arith_flag="0" ;;
  no)  set_arith_flag="0" ;;
        yes) set_arith_flag="1" ;;
        yes) set_arith_flag="1" ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3834: result: ${enable_arith_flag-no}" >&5
echo "$as_me:5085: result: ${enable_arith_flag-no}" >&5
echo "${ECHO_T}${enable_arith_flag-no}" >&6
echo "${ECHO_T}${enable_arith_flag-no}" >&6
 
 
cat >>confdefs.h <
cat >>confdefs.h <
#define FAST_SIM $fast_sim
#define FAST_SIM $fast_sim
EOF
EOF
Line 3864... Line 5115...
else
else
  SIMPLE_EXECUTION_TRUE='#'
  SIMPLE_EXECUTION_TRUE='#'
  SIMPLE_EXECUTION_FALSE=
  SIMPLE_EXECUTION_FALSE=
fi
fi
 
 
echo "$as_me:3869: checking for implementation-specific data" >&5
echo "$as_me:5120: checking for implementation-specific data" >&5
echo $ECHO_N "checking for implementation-specific data... $ECHO_C" >&6
echo $ECHO_N "checking for implementation-specific data... $ECHO_C" >&6
# Check whether --enable-impl or --disable-impl was given.
# Check whether --enable-impl or --disable-impl was given.
if test "${enable_impl+set}" = set; then
if test "${enable_impl+set}" = set; then
  enableval="$enable_impl"
  enableval="$enable_impl"
 
 
    case "$enableval" in
    case "$enableval" in
        no|default)        IMPL="DEFAULT" ;;
        no|default)        IMPL="DEFAULT" ;;
        mp3)               IMPL="MP3"     ;;
        mp3)               IMPL="MP3"     ;;
        bender)            IMPL="BENDER"  ;;
        bender)            IMPL="BENDER"  ;;
        *)
        *)
            echo "$as_me:3880: result: failed" >&5
            echo "$as_me:5131: result: failed" >&5
echo "${ECHO_T}failed" >&6
echo "${ECHO_T}failed" >&6
            { { echo "$as_me:3882: error: bad --enable-impl option" >&5
            { { echo "$as_me:5133: error: bad --enable-impl option" >&5
echo "$as_me: error: bad --enable-impl option" >&2;}
echo "$as_me: error: bad --enable-impl option" >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
            ;;
            ;;
    esac
    esac
 
 
fi;
fi;
echo "$as_me:3889: result: ${IMPL=DEFAULT}" >&5
echo "$as_me:5140: result: ${IMPL=DEFAULT}" >&5
echo "${ECHO_T}${IMPL=DEFAULT}" >&6
echo "${ECHO_T}${IMPL=DEFAULT}" >&6
if test "$IMPL" = "DEFAULT"
if test "$IMPL" = "DEFAULT"
then
then
    { echo "$as_me:3893: WARNING: using default environment" >&5
    { echo "$as_me:5144: WARNING: using default environment" >&5
echo "$as_me: WARNING: using default environment" >&2;}
echo "$as_me: WARNING: using default environment" >&2;}
fi
fi
 
 
test -n "$profile"  && CFLAGS="$CFLAGS $profile" LDFLAGS="$LDFLAGS $profile"
test -n "$profile"  && CFLAGS="$CFLAGS $profile" LDFLAGS="$LDFLAGS $profile"
IMPL="-DIMPL_$IMPL"
IMPL="-DIMPL_$IMPL"
Line 3906... Line 5157...
 
 
cat >>confdefs.h <<\EOF
cat >>confdefs.h <<\EOF
#define HAS_DEBUG 1
#define HAS_DEBUG 1
EOF
EOF
 
 
INCLUDES="-I\${top_srcdir} -I\${top_srcdir}/cpu/common -I\${top_srcdir}/cpu/or1k \
INCLUDES="$INCLUDES -I\${top_srcdir} -I\${top_srcdir}/cpu/common \
-I\${top_srcdir}/cpu/$CPU_ARCH -I\${top_srcdir}/cache -I\${top_srcdir}/mmu \
-I\${top_srcdir}/cpu/or1k -I\${top_srcdir}/cache -I\${top_srcdir}/mmu \
-I\${top_srcdir}/bpb -I\${top_srcdir}/peripheral -I\${top_srcdir}/tick \
-I\${top_srcdir}/bpb -I\${top_srcdir}/peripheral -I\${top_srcdir}/tick \
-I\${top_srcdir}/peripheral/channels \
-I\${top_srcdir}/peripheral/channels -I\${top_srcdir}/pm -I\${top_srcdir}/pic \
-I\${top_srcdir}/pm -I\${top_srcdir}/pic -I\${top_srcdir}/debug \
-I\${top_srcdir}/debug -I\${top_srcdir}/vapi -I\${top_srcdir}/support \
-I\${top_srcdir}/vapi -I\${top_srcdir}/support -I\${top_srcdir}/cuc"
-I\${top_srcdir}/cuc -I\${top_srcdir}/port"
 
 
ac_config_files="$ac_config_files Makefile bpb/Makefile cache/Makefile cpu/Makefile cpu/common/Makefile cpu/or32/Makefile cuc/Makefile cpu/or1k/Makefile cpu/dlx/Makefile debug/Makefile support/Makefile mmu/Makefile peripheral/Makefile tick/Makefile peripheral/channels/Makefile pm/Makefile pic/Makefile vapi/Makefile extras/Makefile"
ac_config_files="$ac_config_files Makefile bpb/Makefile cache/Makefile cpu/Makefile cpu/common/Makefile cpu/or32/Makefile cuc/Makefile cpu/or1k/Makefile cpu/dlx/Makefile debug/Makefile support/Makefile mmu/Makefile peripheral/Makefile tick/Makefile peripheral/channels/Makefile pm/Makefile pic/Makefile vapi/Makefile port/Makefile"
ac_config_commands="$ac_config_commands default"
ac_config_commands="$ac_config_commands default"
cat >confcache <<\_ACEOF
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# tests run on this system so they can be shared between configure
# scripts and configure runs, see configure's option --config-cache.
# scripts and configure runs, see configure's option --config-cache.
Line 3992... Line 5243...
fi
fi
 
 
DEFS=-DHAVE_CONFIG_H
DEFS=-DHAVE_CONFIG_H
 
 
if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
  { { echo "$as_me:3997: error: conditional \"AMDEP\" was never defined.
  { { echo "$as_me:5248: error: conditional \"AMDEP\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"AMDEP\" was never defined.
echo "$as_me: error: conditional \"AMDEP\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
Usually this means the macro was only invoked conditionally." >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
fi
fi
if test -z "${SIMPLE_EXECUTION_TRUE}" && test -z "${SIMPLE_EXECUTION_FALSE}"; then
if test -z "${SIMPLE_EXECUTION_TRUE}" && test -z "${SIMPLE_EXECUTION_FALSE}"; then
  { { echo "$as_me:4004: error: conditional \"SIMPLE_EXECUTION\" was never defined.
  { { echo "$as_me:5255: error: conditional \"SIMPLE_EXECUTION\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"SIMPLE_EXECUTION\" was never defined.
echo "$as_me: error: conditional \"SIMPLE_EXECUTION\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
Usually this means the macro was only invoked conditionally." >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
fi
fi
 
 
: ${CONFIG_STATUS=./config.status}
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:4014: creating $CONFIG_STATUS" >&5
{ echo "$as_me:5265: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
#! $SHELL
# Generated automatically by configure.
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# Run this file to recreate the current configuration.
Line 4185... Line 5436...
cat >>$CONFIG_STATUS <<\EOF
cat >>$CONFIG_STATUS <<\EOF
  --version | --vers* | -V )
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
  --he | --h)
    # Conflict between --help and --header
    # Conflict between --help and --header
    { { echo "$as_me:4190: error: ambiguous option: $1
    { { echo "$as_me:5441: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
  --help | --hel | -h )
Line 4204... Line 5455...
    shift
    shift
    CONFIG_HEADERS="$CONFIG_HEADERS $1"
    CONFIG_HEADERS="$CONFIG_HEADERS $1"
    ac_need_defaults=false;;
    ac_need_defaults=false;;
 
 
  # This is an error.
  # This is an error.
  -*) { { echo "$as_me:4209: error: unrecognized option: $1
  -*) { { echo "$as_me:5460: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;
   { (exit 1); exit 1; }; } ;;
 
 
Line 4266... Line 5517...
  "tick/Makefile" ) CONFIG_FILES="$CONFIG_FILES tick/Makefile" ;;
  "tick/Makefile" ) CONFIG_FILES="$CONFIG_FILES tick/Makefile" ;;
  "peripheral/channels/Makefile" ) CONFIG_FILES="$CONFIG_FILES peripheral/channels/Makefile" ;;
  "peripheral/channels/Makefile" ) CONFIG_FILES="$CONFIG_FILES peripheral/channels/Makefile" ;;
  "pm/Makefile" ) CONFIG_FILES="$CONFIG_FILES pm/Makefile" ;;
  "pm/Makefile" ) CONFIG_FILES="$CONFIG_FILES pm/Makefile" ;;
  "pic/Makefile" ) CONFIG_FILES="$CONFIG_FILES pic/Makefile" ;;
  "pic/Makefile" ) CONFIG_FILES="$CONFIG_FILES pic/Makefile" ;;
  "vapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES vapi/Makefile" ;;
  "vapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES vapi/Makefile" ;;
  "extras/Makefile" ) CONFIG_FILES="$CONFIG_FILES extras/Makefile" ;;
  "port/Makefile" ) CONFIG_FILES="$CONFIG_FILES port/Makefile" ;;
  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  *) { { echo "$as_me:4275: error: invalid argument: $ac_config_target" >&5
  *) { { echo "$as_me:5526: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
   { (exit 1); exit 1; }; };;
  esac
  esac
done
done
 
 
Line 4405... Line 5656...
s,@MAKE_SHELL@,$MAKE_SHELL,;t t
s,@MAKE_SHELL@,$MAKE_SHELL,;t t
s,@SIMPLE_EXECUTION_TRUE@,$SIMPLE_EXECUTION_TRUE,;t t
s,@SIMPLE_EXECUTION_TRUE@,$SIMPLE_EXECUTION_TRUE,;t t
s,@SIMPLE_EXECUTION_FALSE@,$SIMPLE_EXECUTION_FALSE,;t t
s,@SIMPLE_EXECUTION_FALSE@,$SIMPLE_EXECUTION_FALSE,;t t
s,@BUILD_DIR@,$BUILD_DIR,;t t
s,@BUILD_DIR@,$BUILD_DIR,;t t
s,@LOCAL_CFLAGS@,$LOCAL_CFLAGS,;t t
s,@LOCAL_CFLAGS@,$LOCAL_CFLAGS,;t t
s,@LOCAL_LDFLAGS@,$LOCAL_LDFLAGS,;t t
 
s,@LOCAL_DEFS@,$LOCAL_DEFS,;t t
s,@LOCAL_DEFS@,$LOCAL_DEFS,;t t
s,@ARFLAGS@,$ARFLAGS,;t t
s,@ARFLAGS@,$ARFLAGS,;t t
s,@SUMVERSION@,$SUMVERSION,;t t
s,@SUMVERSION@,$SUMVERSION,;t t
s,@TERMCAP_LIB@,$TERMCAP_LIB,;t t
s,@TERMCAP_LIB@,$TERMCAP_LIB,;t t
s,@INCLUDES@,$INCLUDES,;t t
s,@INCLUDES@,$INCLUDES,;t t
Line 4525... Line 5775...
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_dots$INSTALL ;;
  *) ac_INSTALL=$ac_dots$INSTALL ;;
  esac
  esac
 
 
  if test x"$ac_file" != x-; then
  if test x"$ac_file" != x-; then
    { echo "$as_me:4530: creating $ac_file" >&5
    { echo "$as_me:5780: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
echo "$as_me: creating $ac_file" >&6;}
    rm -f "$ac_file"
    rm -f "$ac_file"
  fi
  fi
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  # use $as_me), people would be surprised to read:
Line 4543... Line 5793...
    for f in $ac_file_in; do
    for f in $ac_file_in; do
      case $f in
      case $f in
      -) echo $tmp/stdin ;;
      -) echo $tmp/stdin ;;
      [\\/$]*)
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:4548: error: cannot find input file: $f" >&5
         test -f "$f" || { { echo "$as_me:5798: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
         echo $f;;
         echo $f;;
      *) # Relative
      *) # Relative
         if test -f "$f"; then
         if test -f "$f"; then
Line 4556... Line 5806...
         elif test -f "$srcdir/$f"; then
         elif test -f "$srcdir/$f"; then
           # Source tree
           # Source tree
           echo $srcdir/$f
           echo $srcdir/$f
         else
         else
           # /dev/null tree
           # /dev/null tree
           { { echo "$as_me:4561: error: cannot find input file: $f" >&5
           { { echo "$as_me:5811: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
         fi;;
         fi;;
      esac
      esac
    done` || { (exit 1); exit 1; }
    done` || { (exit 1); exit 1; }
Line 4617... Line 5867...
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  * )   ac_file_in=$ac_file.in ;;
  esac
  esac
 
 
  test x"$ac_file" != x- && { echo "$as_me:4622: creating $ac_file" >&5
  test x"$ac_file" != x- && { echo "$as_me:5872: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
echo "$as_me: creating $ac_file" >&6;}
 
 
  # First look for the input files in the build tree, otherwise in the
  # First look for the input files in the build tree, otherwise in the
  # src tree.
  # src tree.
  ac_file_inputs=`IFS=:
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
    for f in $ac_file_in; do
      case $f in
      case $f in
      -) echo $tmp/stdin ;;
      -) echo $tmp/stdin ;;
      [\\/$]*)
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:4633: error: cannot find input file: $f" >&5
         test -f "$f" || { { echo "$as_me:5883: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
         echo $f;;
         echo $f;;
      *) # Relative
      *) # Relative
         if test -f "$f"; then
         if test -f "$f"; then
Line 4641... Line 5891...
         elif test -f "$srcdir/$f"; then
         elif test -f "$srcdir/$f"; then
           # Source tree
           # Source tree
           echo $srcdir/$f
           echo $srcdir/$f
         else
         else
           # /dev/null tree
           # /dev/null tree
           { { echo "$as_me:4646: error: cannot find input file: $f" >&5
           { { echo "$as_me:5896: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
   { (exit 1); exit 1; }; }
         fi;;
         fi;;
      esac
      esac
    done` || { (exit 1); exit 1; }
    done` || { (exit 1); exit 1; }
Line 4758... Line 6008...
  fi
  fi
  cat $tmp/in >>$tmp/config.h
  cat $tmp/in >>$tmp/config.h
  rm -f $tmp/in
  rm -f $tmp/in
  if test x"$ac_file" != x-; then
  if test x"$ac_file" != x-; then
    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
      { echo "$as_me:4763: $ac_file is unchanged" >&5
      { echo "$as_me:6013: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
echo "$as_me: $ac_file is unchanged" >&6;}
    else
    else
      ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
      ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(//\)$' \| \
Line 4818... Line 6068...
 
 
  case $ac_dest in
  case $ac_dest in
    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  # Strip MF so we end up with the name of the file.
  # Strip MF so we end up with the name of the file.
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  if (sed 1q $mf | fgrep 'generated by automake') > /dev/null 2>&1; then
  # Check whether this is an Automake generated Makefile or not.
 
  # We used to match only the files named `Makefile.in', but
 
  # some people rename them; so instead we look at the file content.
 
  # Grep'ing the first line is not enough: some people post-process
 
  # each Makefile.in and add a new line on top of each file to say so.
 
  # So let's grep whole file.
 
  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
    dirpart=`$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    dirpart=`$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$mf" : 'X\(//\)[^/]' \| \
         X"$mf" : 'X\(//\)[^/]' \| \
         X"$mf" : 'X\(//\)$' \| \
         X"$mf" : 'X\(//\)$' \| \
         X"$mf" : 'X\(/\)' \| \
         X"$mf" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
         .     : '\(.\)' 2>/dev/null ||

powered by: WebSVN 2.1.0

© copyright 1999-2024 OpenCores.org, equivalent to Oliscience, all rights reserved. OpenCores®, registered trademark.